#!/bin/bash

export templdpath=$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=./linux64:$LD_LIBRARY_PATH
export SteamAppId=892970

# Tip: Make a local copy of this script to avoid it being overwritten by steam.
# Note: Minimum password length is 5 characters & Password cant be in the server name.
# Note: You need to make sure the ports 2456-2458 is being forwarded to your server through your local router & firewall.

{{ dsgames_directory_tools }}/steamcmd/steamcmd.sh +login anonymous +force_install_dir {{ dsgames_directory }}/Valheim +app_update 896660 +quit

./valheim_server.x86_64 -name "{{ valheim_server_name }}" -port {{ valheim_port }} -world "{{ valheim_world_name }}" -password "{{ valheim_password }}" -public {{ valheim_public }}

export LD_LIBRARY_PATH=$templdpath
